DKBSignDocs

API reference

GETPublic

Download a certificate file

/api/v1/certificates/{certificate}/download

Public signed URL that streams the certificate file. The URL expires according to certificates.download_ttl. No Bearer token.

Path parameters

FieldTypeDescription
certificate
Required
stringPath parameter certificate.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Certificate file stream
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v1/certificates/certificate/download'

Response 200

json
{
  "content_type": "application/pdf",
  "note": "The HTTP body is the PDF bytes, not JSON."
}